/* Games Table
	Version:	0.2
*/
DROP TABLE IF EXISTS "Games";

CREATE TABLE Games (
  GameID      INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
  GameName    VARCHAR(255),
  EmpireName  varchar(255),
  RaceID      INTEGER,
  StartDate   TEXT,
  SystemMax   INTEGER,
  CoordMax    INTEGER,
  SMPassword  VARCHAR(255),
  CurrentDate TEXT,
  CurrentTime TEXT,
  /* Foreign keys */
  FOREIGN KEY (RaceID)
    REFERENCES Races(RaceID)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
);